## radosgw-agent 1.1

=== requirements.txt ===
argparse
boto >=2.2.2,<3.0.0
requests >=1.2.1
PyYAML

=== debian/changelog ===
radosgw-agent (1.1-0ubuntu3) vivid; urgency=medium

  * debian/radosgw-agent.override:
    - set the override as "manual" to really disable under upstart
  * debian/postinst:
    - more elegant way to only strip the "manual" part (and removing the
      override if empty)

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 01 Apr 2015 09:25:49 +0200

radosgw-agent (1.1-0ubuntu2) vivid; urgency=medium

  * Add systemd unit. Keep the previously enabled status.
  * Ship an override file instead of /etc/default/radosgw-agent to disable
    by default the service under upstart and don't rely on the default
    ENABLED state in conffile.
  * Remove uneeded now /etc/default/radosgw-agent conffile.
  * Bump Standards-Version

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 07 Jan 2015 12:22:32 +0100

radosgw-agent (1.1-0ubuntu1) trusty; urgency=low

  * Initial packaging.

 -- James Page <james.page@ubuntu.com>  Fri, 29 Nov 2013 13:01:47 +0000

=== debian/control ===
Source: radosgw-agent
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Sage Weil <sage@newdream.net>
Uploaders: Sage Weil <sage@newdream.net>,
Build-Depends:
 debhelper (>= 9~),
 dh-systemd,
 python-all,
 python-boto,
 python-mock,
 python-nose,
 python-pytest,
 python-requests,
 python-setuptools
Standards-Version: 3.9.6
Homepage: http://ceph.com/
X-Python-Version: >= 2.4

Package: radosgw-agent
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Synchronize data and users between radosgw clusters
 RADOS is a distributed object store used by the Ceph distributed
 storage system.  This package provides a REST gateway to the
 object store that aims to implement a superset of Amazon's S3
 service.
 .
 This package contains the agent for synchronization between
 geographically separated RADOS deployments.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --buildsystem python_distutils --with python2,systemd

override_dh_auto_test:
	nosetests

# don't enable or starts the service by default
# ideally, we would have try-restart once we get only a systemd
# service (but not possible as there is only an upstart+systemd job
# for now)
override_dh_installinit:
	dh_installinit --no-start
override_dh_systemd_enable:
	dh_systemd_enable --no-enable
override_dh_systemd_start:
	dh_systemd_start --no-start

## radosgw-agent 1.1-1

=== debian/changelog ===
radosgw-agent (1.1-1) jessie; urgency=medium

  * 

 -- Jenkins Build Slave User <adeza@redhat.com>  Thu, 09 Jun 2016 13:07:13 +0000

radosgw-agent (1.1-1) precise; urgency=low

  * new upstream release 

 -- Gary Lowell <glowell@pudgy.ops.newdream.net>  Thu, 21 Nov 2013 16:17:25 -0800

radosgw-agent (1.0-1) stable; urgency=low

  * Initial release 

 -- Gary Lowell <gary.lowell@inktank.com>  Mon, 26 Aug 2013 09:19:47 -0700

## radosgw-agent 1.2.1~bpo60+1

=== debian/changelog ===
radosgw-agent (1.2.1~bpo60+1) squeeze; urgency=low

  * 

 -- Alfredo Deza <sandon@inktank.com>  Mon, 09 Feb 2015 21:00:57 +0000

radosgw-agent (1.2.1) stable; urgency=low

  * New upstream release

 -- Alfredo Deza <adeza@redhat.com>  Mon, 09 Feb 2015 12:52:46 -0800

radosgw-agent (1.2-1) precise; urgency=low

  * new upstream release

 -- Sandon Van Ness <sandon@inktank.com>  Wed, 02 April 2014 11:25:54 -0800

## radosgw-agent 1.2.1~bpo70+1

=== debian/changelog ===
radosgw-agent (1.2.1~bpo70+1) wheezy; urgency=low

  * 

 -- Created by Chef <sandon@inktank.com>  Mon, 09 Feb 2015 13:01:27 -0800

## radosgw-agent 1.2.1

=== debian/changelog ===
radosgw-agent (1.2.1) jessie; urgency=medium

  * 

 -- Jenkins Build Slave User <adeza@redhat.com>  Thu, 09 Jun 2016 13:07:48 +0000

## radosgw-agent 1.2.1precise

=== debian/changelog ===
radosgw-agent (1.2.1precise) precise; urgency=low

  * 

 -- Created by Chef <sandon@inktank.com>  Mon, 09 Feb 2015 13:01:01 -0800

## radosgw-agent 1.2.1trusty

=== debian/changelog ===
radosgw-agent (1.2.1trusty) trusty; urgency=medium

  * 

 -- Created by Chef <sandon@inktank.com>  Mon, 09 Feb 2015 13:01:24 -0800

## radosgw-agent 1.2.2~bpo60+1

=== requirements.txt ===
argparse
boto >=2.2.2,<3.0.0
PyYAML

=== debian/changelog ===
radosgw-agent (1.2.2~bpo60+1) squeeze; urgency=low

  * 

 -- Alfredo Deza <sandon@inktank.com>  Mon, 27 Apr 2015 20:15:17 +0000

radosgw-agent (1.2.2) stable; urgency=low

  * New upstream release

 -- Alfredo Deza <adeza@redhat.com>  Mon, 27 Apr 2015 13:00:08 -0700

## radosgw-agent 1.2.3trusty

=== debian/changelog ===
radosgw-agent (1.2.3trusty) trusty; urgency=low

  * 

 -- Jenkins Build Slave User <sandon@inktank.com>  Wed, 15 Jul 2015 09:15:47 -0700

radosgw-agent (1.2.3) stable; urgency=low

  * New upstream release

 -- Alfredo Deza <adeza@redhat.com>  Wed, 15 Jul 2015 09:08:11 -0700

## radosgw-agent 1.2.4~bpo70+1

=== debian/changelog ===
radosgw-agent (1.2.4~bpo70+1) wheezy; urgency=low

  * 

 -- Jenkins Build <sandon@inktank.com>  Wed, 12 Aug 2015 12:47:39 -0700

radosgw-agent (1.2.4) stable; urgency=low

  * New upstream release

 -- Alfredo Deza <adeza@redhat.com>  Wed, 12 Aug 2015 12:46:22 -0700

## radosgw-agent 1.2.4

=== debian/changelog ===
radosgw-agent (1.2.4) jessie; urgency=medium

  * 

 -- Jenkins Build Slave User <adeza@redhat.com>  Wed, 30 Mar 2016 23:02:39 +0000

## radosgw-agent 1.2.4precise

=== debian/changelog ===
radosgw-agent (1.2.4precise) precise; urgency=low

  * 

 -- Jenkins Build <sandon@inktank.com>  Wed, 12 Aug 2015 12:47:37 -0700

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

%:
	dh $@ --buildsystem python_distutils --with python2

override_dh_installlogrotate:
	cp logrotate.conf debian/radosgw-agent.logrotate
	dh_installlogrotate

override_dh_installinit:
	install -m0644 init-radosgw-agent debian/radosgw-agent.init
	dh_installinit --no-start

## radosgw-agent 1.2.4trusty

=== debian/changelog ===
radosgw-agent (1.2.4trusty) trusty; urgency=low

  * 

 -- Jenkins Build Slave User <sandon@inktank.com>  Wed, 12 Aug 2015 12:47:39 -0700

=== debian/control ===
Source: radosgw-agent
Maintainer: Sage Weil <sage@newdream.net>
Uploaders: Sage Weil <sage@newdream.net>
Section: admin
Priority: optional
Build-Depends: debhelper (>= 8), python-setuptools
X-Python-Version: >= 2.6
Standards-Version: 3.9.2
Homepage: http://ceph.com/

Package: radosgw-agent
Architecture: all
Depends: python,
         python-argparse,
         python-setuptools,
         ${misc:Depends},
         ${python:Depends}
Description:  Rados gateway agents.

## radosgw-agent 1.2.5

=== debian/changelog ===
radosgw-agent (1.2.5) jessie; urgency=medium

  * 

 -- Jenkins Build Slave User <adeza@redhat.com>  Wed, 30 Mar 2016 23:03:00 +0000

radosgw-agent (1.2.5) stable; urgency=medium

  * New upstream release

 -- Alfredo Deza <adeza@redhat.com>  Wed, 30 Mar 2016 22:52:21 +0000

## radosgw-agent 1.2.6

=== debian/changelog ===
radosgw-agent (1.2.6) jessie; urgency=medium

  * 

 -- Jenkins Build Slave User <adeza@redhat.com>  Thu, 09 Jun 2016 13:20:29 +0000

radosgw-agent (1.2.6) stable; urgency=medium

  * New upstream release

 -- Alfredo Deza <adeza@redhat.com>  Thu, 09 Jun 2016 12:46:44 +0000

## radosgw-agent 1.2.7

=== debian/changelog ===
radosgw-agent (1.2.7-0ubuntu1) yakkety; urgency=medium

  * New upstream release (LP: #1612704).
  * d/rules: Switch to using pytest for test execution, inline with
    upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 14 Sep 2016 15:51:39 +0100

=== debian/control ===
Source: radosgw-agent
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Sage Weil <sage@newdream.net>
Uploaders: Sage Weil <sage@newdream.net>,
Build-Depends: debhelper (>= 9~),
               dh-python,
               dh-systemd,
               python-all,
               python-boto,
               python-httpretty,
               python-mock,
               python-nose,
               python-pytest,
               python-requests,
               python-setuptools,
               python-yaml,
Standards-Version: 3.9.6
Homepage: http://ceph.com/
X-Python-Version: >= 2.4

Package: radosgw-agent
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
Description: Synchronize data and users between radosgw clusters
 RADOS is a distributed object store used by the Ceph distributed
 storage system.  This package provides a REST gateway to the
 object store that aims to implement a superset of Amazon's S3
 service.
 .
 This package contains the agent for synchronization between
 geographically separated RADOS deployments.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --buildsystem python_distutils --with python2,systemd

override_dh_auto_test:
	py.test -s -v radosgw_agent/tests

# don't enable or starts the service by default
# ideally, we would have try-restart once we get only a systemd
# service (but not possible as there is only an upstart+systemd job
# for now)
override_dh_installinit:
	dh_installinit --no-start
override_dh_systemd_enable:
	dh_systemd_enable --no-enable
override_dh_systemd_start:
	dh_systemd_start --no-start

=== debian/watch ===
version=3
https://github.com/ceph/radosgw-agent/tags .*/v(.*).tar.gz
